Python共14篇
PySpark 设置python的版本-白程序员的自习室

PySpark 设置python的版本

PySpark 在工作程序中都需要使用的为默认环境的python版本,怎样把python的版本切换成3的版本,您可以通过 `PYSPARK_PYTHON` 指定要使用的Python版本。
pymongo 错误处理:IndexError: no such item for Cursor instance。-白程序员的自习室

pymongo 错误处理:IndexError: no such item for Cursor instance。

'打印输出提示IndexError: no such item for Cursor instance,大意为:Cursor实例没有对应的节点,这样的问题该怎样解决呢?'
Django 项目如何通过加载不同env文件来区分不同环境-白程序员的自习室

Django 项目如何通过加载不同env文件来区分不同环境

本文主要是整理如何在 django 项目中解决不同环境下加载不同 .env 环境配置文件的方案。主要内容包含 django-environ 的安装使用,以及 django-crontab 脚本环境下的配置使用。
python模块:django-crontab实现服务端的定时任务-白程序员的自习室

python模块:django-crontab实现服务端的定时任务

公司 Django 应用中需要添加定时任务来定时执行一些数据清洗的功能,因此想到了使用 django-crontab 插件可以满足我的需求,下面就是这个插件的使用方法。
django2.2 和 PyMySQL版本兼容问题-白程序员的自习室

django2.2 和 PyMySQL版本兼容问题

错误信息为django.core.exceptions.ImproperlyConfigured: mysqlclient 1.3.13 or newer is required; you have 0.9.3. 错误原因: 因为Django连接MySQL时默认使用MySQLdb驱动,但MySQLdb不支持...
python PyMySQL 和 django2.2 版本兼容问题-白程序员的自习室

python PyMySQL 和 django2.2 版本兼容问题

错误信息为:django.core.exceptions.ImproperlyConfigured: mysqlclient 1.3.13 or newer is required; you have 0.9.3. 错误原因: 因为Django连接MySQL时默认使用MySQLdb驱动,但MySQLdb不支...
python 之 Django与Celery的安装使用-白程序员的自习室

python 之 Django与Celery的安装使用

Celery 是一个强大的 分布式任务队列 的 异步处理框架,它可以让任务的执行完全脱离主程序,甚至可以被分配到其他主机上运行。我们通常使用它来实现异步任务(async task)和定时任务(crontab...
python模块:itsdangerous模块-白程序员的自习室

python模块:itsdangerous模块

有时您只想将一些数据发送到不受信任的环境。但是如何安全地做到这一点?诀窍就是签名。只要知道一个密钥,您就可以对数据进行加密签名并将其移交给其他人。当您取回数据时,可以轻松确保没有人...
python模块:JSON模块-白程序员的自习室

python模块:JSON模块

在日常开发中,对数据进行序列化和反序列化,是常备的操作。而在Python标准库中提供了json模块对JSON数据的处理功能。
Pycharm 安装使用 black 提升python代码质量-白程序员的自习室

Pycharm 安装使用 black 提升python代码质量

针对代码风格不一致问题,导致的维护成本过高,针对性的镇定代码风格统一标准,是很有必要的。目前市面上用的比较多的python代码格式化工具有YAPF、Black。Black,号称不妥协的代码格式化工具,...